package com.duben.heliapp.common

import com.duben.heliapp.BuildConfig
import com.duben.heliapp.utils.VersionUtils

object Constant {

    const val PAGE_SIZE = 12
    const val LOCAL_VEDIO = "LOCAL_VEDIO"
    const val VEDIO_BEAN = "VEDIO_BEAN"
    const val RECOMMEND_BEAN = "RECOMMEND_BEAN"
    const val VEDIO_NEXT = "VEDIO_NEXT"
    const val VEDIO_THIRD = "VEDIO_THIRD"

    /**
     * 首次弹出权限声明
     */
    const val LOAN_PERMISSION_FLAG = "loan_permission_flag"
    const val FIRST_SPLASH = "first_splash"
    const val IS_FIRST_AGREE_BTN = "is_first_agree_btn"
    const val IS_FIRST_VEDIO = "is_first_vedio"
    const val MINTS_APP_NAME = "河狸刷剧"
    const val MINTS_PKG_NAME = "com.duben.heliapp"
    const val ACTION_EXIT_APP = "package.exit"
    const val LUCKY_FLAG = "LUCKY_FLAG"
    const val LUCKY_MY_FIRST = "LUCKY_MY_FIRST"
    const val MAIN_FIRST_RECOMMEND = "MAIN_FIRST_RECOMMEND"
    const val VEDIO_MAIN_COUNT = "VEDIO_MAIN_COUNT"
    const val CARRIERTYPE_TX_VEDIO = "1"
    const val CARRIERTYPE_NINE = "2"
    const val CARRIERTYPE_NINE3 = "3"

    /**
     * app应用首页 0-主页 1-中间 2-尊享 3-我
     */
    const val FRAGMENT_CLICK_ONE = 0
    const val FRAGMENT_CLICK_TWO = 1
    const val FRAGMENT_CLICK_THREE = 2
    const val FRAGMENT_CLICK_FOUR = 3

    // 协议地址
    var REGISTER_URL = BuildConfig.MainIp+"/agreements/${VersionUtils.getEndPkg()}/yhxy.html"//注册协议
    var PRIVACY_URL = BuildConfig.MainIp+"/agreements/${VersionUtils.getEndPkg()}/syzc.html"//隐私协议
    var MEMBERS_URL = BuildConfig.MainIp+"/agreements/${VersionUtils.getEndPkg()}/gmxy.html"//会员付费服务协议

    //0-开屏，1-信息流，2-激励视频，3-banner，4-DRAW信息流
    const val GRO_MORE_ADTYPE0 = "0"
    const val GRO_MORE_ADTYPE1 = "1"
    const val GRO_MORE_ADTYPE2 = "2"
    const val GRO_MORE_ADTYPE3 = "3"
    const val GRO_MORE_ADTYPE4 = "4"
}