package com.duben.heliapp.mvp.model

import android.widget.FrameLayout
import com.chad.library.adapter.base.entity.MultiItemEntity
import com.duben.heliapp.video.tx.VideoModel

const val MULTI_ITEM_1 = 1
const val MULTI_ITEM_2 = 2
const val MULTI_ITEM_3 = 3

data class VideoMultiItemEntity(
    override val itemType: Int,
    var video: IndexList.VedioEpisodeBean?,
    var videoModel: VideoModel?
) : MultiItemEntity, java.io.Serializable

data class VideoMultiItemEntity2(
    override val itemType: Int,
    var video: VedioBean?,
    var videoModel: VideoModel?
) : MultiItemEntity, java.io.Serializable

data class VideoMultiItemEntity3(
    override val itemType: Int,
    var videos: List<VedioBean>?,
    var adView: FrameLayout?
) : MultiItemEntity, java.io.Serializable

data class VideoMultiItemEntity4(
    override var itemType: Int,
    var video: IndexList.VedioEpisodeBean?,
    var videoModel: VideoModel?,
    var type: String?
) : MultiItemEntity, java.io.Serializable